sayren Docs
상품

상품 리뷰 목록 조회

GET
/storefront/v1/products/{productId}/reviews
AuthorizationBearer <token>

회원 accessToken

In: header

Path Parameters

productId*string

Query Parameters

rating*string
hasImage*string
sort*string
page*string
size*string

Response Body

application/json

curl -X GET "https://example.com/storefront/v1/products/string/reviews?rating=string&hasImage=string&sort=string&page=string&size=string"
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "page": 0,    "size": 0,    "totalElements": 0,    "totalPages": 0,    "contents": [      {        "reviewId": "string",        "rating": 1,        "content": "string",        "images": [          "http://example.com"        ],        "optionName": "string",        "writerMaskedName": "string",        "sellerReply": {          "content": "string",          "repliedAt": "string"        },        "createdAt": "string"      }    ],    "summary": {      "averageRating": 0,      "totalCount": 0,      "distribution": {        "property1": 0,        "property2": 0      }    }  },  "error": null}